Summary: Crypt-RIPEMD160 perl module
Name: perl-Crypt-RIPEMD160
Version: 0.03
Release: 1.0.2
Copyright: distributable
Group: Utilities/CPAN
Packager: Ryan W. Maple <ryan@guardiandigital.com>
Source: Crypt-RIPEMD160-%{version}.tar.gz
URL: http://search.cpan.org/
Requires: perl >= 5.004
BuildRoot: /var/tmp/%{name}-%{version}-buildroot/

%description
Crypt::RIPEMD160 module for perl

%prep
%setup -q -n Crypt-RIPEMD160-%{version}

%build
OPTIMIZE="$RPM_OPT_FLAGS" perl Makefile.PL
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
        INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_perlman}/man1 \
        INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_perlman}/man3 install

gzip -9 $RPM_BUILD_ROOT/%{_perlman}/man3/*.* || :
gzip -9 $RPM_BUILD_ROOT/%{_perlman}/man1/*.* || :

find $RPM_BUILD_ROOT/usr -type f -print |\
        sed "s,^$RPM_BUILD_ROOT,,g" | grep -v perllocal.pod |\
        sed "s,/usr/lib/perl5/man,%doc \0,g" > perl-module-filelist


%files -f perl-module-filelist
%defattr(-,root,root)


%changelog
* Tue Apr 10 2001 Ryan W. Maple <ryan@guardiandigital.com>
  - i386 build updates.
  - Build against i386 version of perl for installarchlib.

* Thu Dec 28 2000 Ryan W. Maple <ryan@guardiandigital.com>
- Initial creation.
